.NetSDK – Build – Error – NETSDK1045 – “The current .NET SDK does not support targeting .NET Core 3.1. Either target .NET Core 3.0 or l ower, or use a version of the .NET SDK that supports .NET Core 3.1.”

Background A day or two short of a week ago, a family member ran into issues building a Microsoft  .Net application that he had downloaded from GitHub. Error Error Message - NETSDK1045 TroubleShooting Outline Project File Review Project File Project File ( .csproj ) Review Project File ( .csproj ) Text <Project Sdk="Microsoft.NET.Sdk"> <PropertyGroup> <TargetFrameworks>net452;netcoreapp3.1</TargetFrameworks> … Continue reading .NetSDK – Build – Error – NETSDK1045 – “The current .NET SDK does not support targeting .NET Core 3.1. Either target .NET Core 3.0 or l ower, or use a version of the .NET SDK that supports .NET Core 3.1.”